New OpenDCL Forums

OpenDCL => Runtime/AutoLISP => Topic started by: krunch on November 29, 2012, 07:37:57 AM

Title: Unwind a Dropdown
Post by: krunch on November 29, 2012, 07:37:57 AM
Hi

In my memories there is a function to unwind a Dropdown, but I can't find it ..

Is it possible or do I mix with something else ??
Title: Re: Unwind a Dropdown
Post by: krunch on December 12, 2012, 03:31:12 AM
Hi

I have made that :
(http://img15.hostingpics.net/thumbs/mini_862700Sanstitre2.jpg) (http://www.hostingpics.net/viewer.php?id=862700Sanstitre2.jpg)
The combobox is extended when clicked, and reduced when it loses focus or modified

So is it possible to unwind (activate) the combobox when I also click on the '<4>' button ??
Title: Re: Unwind a Dropdown
Post by: owenwengerd on December 12, 2012, 07:48:04 AM
I don't believe there is any way to open a combo dropdown by lisp code. You can create your own dropdown as a modeless form and display that.
Title: Re: Unwind a Dropdown
Post by: Fred Tomke on December 12, 2012, 10:25:20 AM
Hi, maybe a sendkey could solve that. You can open a dropdown by cursor down.
Regards, Fred
Title: Re: Unwind a Dropdown
Post by: krunch on December 12, 2012, 11:07:13 AM
Hi, thanks for this suggestion

You meant sendstring ?
I've tried this but it doesn't work .. Arrows keys are not standart characters
Code: (autolisp) [Select]
(dcl_Control_SetFocus ..combobox)
(dcl_SendString (chr 175))
Title: Re: Unwind a Dropdown
Post by: Fred Tomke on December 12, 2012, 03:22:38 PM
Hi, no, I meant sendkey. Here is a sample I use for ESC:

Code: (autolisp) [Select]
(defun SENDKEY (strKeys / oWScript)
  (if (setq oWScript (vlax-create-object "WScript.Shell"))
    (progn
      (vlax-invoke-method oWScript 'Sendkeys strKeys)
      (vlax-release-object oWScript)
    ); progn
  ); if
); SENDKEY

(SENDKEY "{ESC}")

Regards, Fred
Title: Re: Unwind a Dropdown
Post by: krunch on December 13, 2012, 02:15:04 AM
It works !
I didn't know this "WScript.Shell" method (found a key list here (http://www.autoitscript.com/autoit3/docs/appendix/SendKeys.htm)) ..

Thanks a lot for this great idea
Title: Re: Unwind a Dropdown
Post by: velasquez on December 13, 2012, 12:35:33 PM
Hi, no, I meant sendkey. Here is a sample I use for ESC:

Code: (autolisp) [Select]
(defun SENDKEY (strKeys / oWScript)
  (if (setq oWScript (vlax-create-object "WScript.Shell"))
    (progn
      (vlax-invoke-method oWScript 'Sendkeys strKeys)
      (vlax-release-object oWScript)
    ); progn
  ); if
); SENDKEY

(SENDKEY "{ESC}")

Regards, Fred


Hi Fred,
In that situation (Sendkey "{ESC}") would be efficient?

Regards, velasquez
Title: Re: Unwind a Dropdown
Post by: Fred Tomke on December 13, 2012, 01:02:34 PM
Hi, vela, this was only a sample thats why krunch looked for the key he needed.
Regards, Fred
Title: Re: Unwind a Dropdown
Post by: Fred Tomke on December 13, 2012, 01:04:43 PM
Hi, krunch, thanks for the link!
Great to see that it helps.
Regards, Fred
Title: Re: Unwind a Dropdown
Post by: krunch on December 13, 2012, 02:21:13 PM
Thanks to you
---------------
Quote
In that situation (Sendkey "{ESC}") would be efficient?
This opens a combobox :
Code: (autolisp) [Select]
(dcl_Control_SetFocus ..combobox)
(SENDKEY "{DOWN}")